Well you can of course try Kanotix Hellfire, i even updated my fglrx script to work with 2.6.39rc1 kernel and i have got support scripts like mplayer vaapi which are tested with it. I sometimes test my scripts with U too, but not always. You may need to put some packages on hold if your distro is too new. But do not expect that h264 l5.1 will work.